EDR integration prerequisites

Verify the following prerequisites before integrating Okta Verify with your EDR solution:

  • Okta Identity Engine org is enabled
  • Device Trust is enabled
    See Device Trust on Identity Engine.
  • EDR is enabled for your Okta org
  • Targeted devices are enrolled in Okta Verify (macOS devices must be registered and managed; Windows devices must be registered but don't need to be managed)
    See Device registration.
  • Okta Verify version:
    • macOS Okta Verify client version 1.9.0 or later
    • Windows Okta Verify beta client version 1.3.100.3 or later
  • Device operating system:
    • Windows 10 (1709), 32 and 64-bit enrolled in Okta Verify (registered)
    • macOS 10.15 (Catalina) or later enrolled in Okta Verify (registered)
  • EDR solution:
    • CrowdStrike: Falcon Agent 6.14 or higher (supported by Okta Verify for both macOS and Windows)
    • Windows Security Center (Okta Verify for Windows only)